
Infrastructure - Bug #2514

GMN /node returns error

2012-03-21 20:31 - Ben Leinfelder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

History

#1 - 2012-03-21 20:32 - Ben Leinfelder

- Category set to d1_mn_GMN

- Assignee set to Roger Dahl

getting a ServiceFailure when trying to look at the node document on gmn instance:

https://mn-stage-orc-1.dataone.org/mn/v1/node

Traceback (most recent call last):

File "/var/local/dataone/mn_generic/service/../service/mn/middleware/view_handler.py", line 91, in process_view

response = view_func(request, *view_args, **view_kwargs)

File "/var/local/dataone/mn_generic/service/./mn/restrict_to_verb.py", line 36, in wrap

return f(request, *args, **kwargs)

File "/var/local/dataone/mn_generic/service/../service/mn/views/v1.py", line 185, in node

file = open(NODE_REGISTRY_XML_PATH, 'rb')

NameError: global name 'NODE_REGISTRY_XML_PATH' is not defined

view_handler.py(91)

restrict_to_verb.py(36)

v1.py(185)

Type:

Value: global name 'NODE_REGISTRY_XML_PATH' is not defined

#2 - 2012-03-21 21:07 - Rob Nahf

happens also on gmn-dev

https://mn-stage-orc-1.dataone.org/mn/v1/node
https://gmn-dev.dataone.org/mn/v1/node

#3 - 2012-03-28 02:52 - Roger Dahl

- Status changed from New to Closed
